Bug 966068 - Scalable app of all the cartridge types are not working well on devenv_3259
Scalable app of all the cartridge types are not working well on devenv_3259
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 08:10 EDT by Meng Bo
Modified: 2015-05-14 19:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:08:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2013-05-22 08:10:34 EDT
Description of problem:
Scalable app of all the cartridge types will redirect to haproxy-status page when accessing the home page after created.

Version-Release number of selected component (if applicable):
devenv_3259

How reproducible:
always

Steps to Reproduce:
1.Create scalable app of any type
2.Access the app home page
3.

Actual results:
Will redirect to haproxy-status page, and no gear listed.

Expected results:
App works fine.

Additional info:
Check the haproxy log, find the following info:
E, [2013-05-22T07:23:58.008660 #7400] ERROR -- : Failed to get information from haproxy

Use ps -ef show processes of the app, found haproxy_ctld.rb is not running.

After do a restart operation to the app, the app works as expected.
Comment 1 Dan Mace 2013-05-22 10:22:07 EDT
Regression introduced by:

https://github.com/openshift/origin-server/pull/2582/files#L0L121
Comment 3 Meng Bo 2013-05-23 06:09:10 EDT
Checked on devenv_3263, scalable app works now.

Note You need to log in before you can comment on or make changes to this bug.